/**
  ******************************************************************************
  * @file    idd_res.c
  * @author  MCD Application Team   
  * @brief   USB Device ressources
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2016 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include <stdint.h>

/** @addtogroup IDD_MEASUREMENT_MODULE
  * @{
  */

/** @defgroup IDD_RES
  * @brief idd measurement ressources 
  * @{
  */

//#define x_width 32
//#define x_height 32
static uint8_t Run_pic[] = {
0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 
0x00, 0x07, 0x00, 0x00, 
0x00, 0x07, 0x00, 0x00, 
0x00, 0x07, 0x00, 0x00, 
0x00, 0x07, 0x00, 0x00, 
0x00, 0x0f, 0x00, 0x00, 
0x00, 0x0f, 0x00, 0x00, 
0x00, 0x07, 0x80, 0x00, 
0x00, 0x0f, 0x80, 0x00, 
0x00, 0x0f, 0x80, 0x01, 
0x00, 0x3f, 0x00, 0x03, 
0x00, 0x3f, 0x00, 0x03, 
0x00, 0x1e, 0x00, 0x07, 
0x00, 0x88, 0x03, 0x0f, 
0x00, 0x80, 0x07, 0x0f, 
0x04, 0xe0, 0xff, 0x07, 
0x3e, 0xf0, 0xff, 0x07, 
0xff, 0xf8, 0xff, 0x07, 
0xfe, 0xf8, 0xfe, 0x07, 
0xfc, 0x7f, 0xfc, 0x03, 
0xe0, 0x3f, 0xf0, 0x03, 
0x80, 0x1f, 0xe0, 0x01, 
0x00, 0x1f, 0xf0, 0xf0, 
0x00, 0x00, 0x1e, 0xf8, 
0x00, 0x00, 0x0f, 0xf8, 
0x00, 0x00, 0x0f, 0xf0, 
0x00, 0x00, 0x07, 0x00, 
0x00, 0x00, 0x07, 0x00, 
0x00, 0x00, 0x07, 0x00, 
0x00, 0x00, 0x07, 0x00, 
0x00, 0x00, 0x07, 0x00, 
}; 

//#define x_width 32
//#define x_height 29
static uint8_t Sleep_pic[] = {
0x00, 0x00, 0x00, 0x00, 
0x00, 0xfe, 0x03, 0x00, 
0x80, 0x07, 0x0f, 0x00, 
0xe0, 0x00, 0x38, 0x00, 
0x70, 0x00, 0x70, 0x00, 
0x38, 0x00, 0xcc, 0x00, 
0x18, 0x00, 0xcf, 0x00, 
0x0c, 0x80, 0x83, 0x01, 
0x04, 0x80, 0x01, 0x01, 
0x06, 0x80, 0x01, 0x03, 
0x06, 0x00, 0x0f, 0x03, 
0x02, 0x00, 0x0c, 0x02, 
0xe2, 0x00, 0x00, 0x02, 
0xe2, 0x00, 0x00, 0x02, 
0xe2, 0x00, 0x00, 0x02, 
0x02, 0x00, 0x0c, 0x02, 
0x06, 0x00, 0x0f, 0x03, 
0x06, 0x80, 0x01, 0x03, 
0x04, 0x80, 0x01, 0x01, 
0x0c, 0x00, 0x83, 0x01, 
0x18, 0x00, 0xcf, 0x00, 
0x18, 0x00, 0x40, 0x00, 
0x70, 0x00, 0x70, 0x00, 
0xe0, 0x00, 0x18, 0x00, 
0x80, 0x07, 0x0f, 0x00, 
0x00, 0xfe, 0x03, 0x00, 
0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 
}; 


//#define x_width 32
//#define x_height 29
static uint8_t LPSleep_pic[] = {
0x00, 0x00, 0x00, 0x00, 
0x00, 0xfe, 0x03, 0x00, 
0x80, 0x07, 0x0f, 0x00, 
0xe0, 0x00, 0x38, 0x00, 
0x70, 0x00, 0x70, 0x00, 
0x38, 0x00, 0xcc, 0x00, 
0x18, 0x00, 0xcf, 0x00, 
0x0c, 0x80, 0x83, 0x01, 
0x04, 0x80, 0x01, 0x01, 
0x06, 0x80, 0x01, 0x03, 
0x06, 0x00, 0x0f, 0x03, 
0x02, 0x00, 0x0c, 0x02, 
0xe2, 0x00, 0x00, 0x02, 
0xe2, 0x00, 0x00, 0x02, 
0xe2, 0x00, 0x00, 0x02, 
0x02, 0x00, 0x0c, 0x02, 
0x06, 0x00, 0x0f, 0x03, 
0x06, 0x80, 0x01, 0x03, 
0x04, 0x80, 0x01, 0x01, 
0x0c, 0x00, 0x83, 0x01, 
0x18, 0x00, 0xcf, 0x00, 
0x18, 0x00, 0x40, 0x09, 
0x70, 0x00, 0x70, 0x0b, 
0xe0, 0x00, 0x18, 0x0d, 
0x80, 0x07, 0x0f, 0x03, 
0x00, 0xfe, 0x03, 0x27, 
0x00, 0x00, 0x00, 0x2d, 
0x00, 0x00, 0x00, 0x39, 
0x00, 0x00, 0x00, 0x21, 
}; 

//#define x_width 32
//#define x_height 32
static uint8_t Stop_pic[] = {
0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 
0x00, 0xe0, 0x07, 0x00, 
0x00, 0xfc, 0x3f, 0x00, 
0x00, 0xff, 0xff, 0x00, 
0x80, 0xff, 0xff, 0x01, 
0xe0, 0xff, 0xff, 0x03, 
0xe0, 0xff, 0xff, 0x07, 
0xf0, 0xff, 0xff, 0x0f, 
0xfa, 0x27, 0xf3, 0x0f, 
0xfa, 0xa3, 0xe2, 0x1f, 
0xfe, 0xa1, 0xc2, 0x1f, 
0xfe, 0x60, 0x82, 0x1f, 
0xfe, 0x00, 0x02, 0x3f, 
0xfe, 0xe0, 0x03, 0x3f, 
0xfe, 0x00, 0x02, 0x3f, 
0xfe, 0x00, 0x00, 0x3f, 
0xfe, 0xe0, 0x03, 0x3f, 
0xfe, 0x20, 0x02, 0x3f, 
0xfe, 0xe0, 0x03, 0x3f, 
0xfe, 0x00, 0x80, 0x1f, 
0xfe, 0xe1, 0xc3, 0x1f, 
0xfa, 0x83, 0xe2, 0x1f, 
0xfa, 0x87, 0xf3, 0x0f, 
0xf0, 0x0f, 0xf8, 0x0f, 
0xe0, 0xff, 0xff, 0x07, 
0xe0, 0xff, 0xff, 0x03, 
0xc0, 0xff, 0xff, 0x01, 
0x00, 0xff, 0xff, 0x00, 
0x00, 0xfc, 0x3f, 0x00, 
0x00, 0xe0, 0x07, 0x00, 
0x00, 0x00, 0x00, 0x00, 
}; 


/**
  * @}
  */

/**
  * @}
  */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
